Machines
Get Metadata
Retrieve metadata for a specific Machine within an app.
Retrieve metadata for a specific Machine within an app.
Authorization
bearerAuth AuthorizationBearer <token>
A Fly.io access token. Create one with fly tokens create.
In: header
Path Parameters
app_name*string
Fly App Name
machine_id*string
Machine ID
Response Body
application/json
curl -X GET "https://example.com/apps/string/machines/string/metadata"{ "property1": "string", "property2": "string"}Reclaim Machine Memory POST
Trigger the balloon device to reclaim memory from a machine
Update Metadata (set/remove multiple keys) PUT
Update multiple metadata keys at once. Null values and empty strings remove keys. + If `machine_version` is provided and no longer matches the current machine version, returns 412 Precondition Failed.